Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Apple Pay Domains

4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/apple-pay-domains

List all Apple Pay DomainsDeprecated

Returns a list of registered Apple Pay Domains. The Apple Pay Domains are sorted with the most recently created appearing first.

Query parameters

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of ApplePayDomainrequired

POST/v1/apple-pay-domains

Create an Apple Pay DomainDeprecated

Creates an Apple Pay Domain.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • hostnamestringrequired

    The domain hostname. Requires 'https' protocol (e.g. 'https://example.com')

Responses

201ApplePayDomain

  • account_idstringrequired

    The ID of the Account associated with the domain.

  • created_atstring date-timerequired

    Time at which the object was created.

  • hostnamestringrequired

    The apple pay domain hostname.

  • idstringrequired

    Unique identifier for the object.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

DELETE/v1/apple-pay-domains/{id}

Delete an Apple Pay DomainDeprecated

Deletes an Apple Pay Domain. This cannot be undone.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

204object

GET/v1/apple-pay-domains/{id}

Get an Apple Pay DomainDeprecated

Retrieves the details of an existing Apple Pay Domain.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200ApplePayDomain

  • account_idstringrequired

    The ID of the Account associated with the domain.

  • created_atstring date-timerequired

    Time at which the object was created.

  • hostnamestringrequired

    The apple pay domain hostname.

  • idstringrequired

    Unique identifier for the object.

  • updated_atstring date-timerequired

    Time at which the object was last updated.